Results 1 to 10 of 10

Thread: Broken zypper dependency (nothing provides appdata)

  1. #1

    Default Broken zypper dependency (nothing provides appdata)

    Hi, for some time now every time I access to the yast package manager or type zypper ve on the konsole I get the following errors:

    2 Problemas:
    Problema: no hay nada que proporcione appdata(org.kde.ark.appdata.xml) y que lo necesita application:Ark-.noarch
    Problema: no hay nada que proporcione appdata(firefox.appdata.xml) y que lo necesita application:Firefox-.noarch

    Problema: no hay nada que proporcione appdata(org.kde.ark.appdata.xml) y que lo necesita application:Ark-.noarch
    Solución 1: desinstalación de application:Ark-.noarch
    Solución 2: romper application:Ark-.noarch ignorando algunas de sus dependencias


    They are in spanish but I think you guys get the point. No matter what option I choose, nothing ever happens. The first one appeared just after I upgraded to KDE Plasma 5, from 4. The Firefox one has been there for a few months now.

    Are those normal bugs? Is there anything I can do to avoid or fix those annoying and irrelevant messages?

    Thanks in advance.

  2. #2

    Default Re: Broken zypper dependency (nothing provides appdata)

    Quote Originally Posted by eXtremeDevil View Post
    Are those normal bugs?
    Yes.
    Except that the first one implicates that you have the KF5 based Ark installed which isn't included in 13.2.

    Is there anything I can do to avoid or fix those annoying and irrelevant messages?
    No.

  3. #3

    Default Re: Broken zypper dependency (nothing provides appdata)

    So what you mean with the Ark version, should I have a different one? I had the same problem with the Dolphin package but somehow I got rid of him by cleaning the rpm cache.

  4. #4

    Default Re: Broken zypper dependency (nothing provides appdata)

    Quote Originally Posted by eXtremeDevil View Post
    So what you mean with the Ark version, should I have a different one?
    No.
    If you use Plasma5, the KF5 based version is probably better for you.
    And it is the latest one, the KDE4 version is not developed any more, bugs are not fixed since months, new features are not added any more.

    But if you use Ark from an additional repo on 13.2 (KDE:Applications, I suppose?), it's not really supported by openSUSE.

    I had the same problem with the Dolphin package but somehow I got rid of him by cleaning the rpm cache.
    Yes, that problem with "nothing provides appdata" is more general.
    Just ignore it.
    It won't be fixed (nor is it possible to fix it) for 13.2, AIUI.

    And it's not at all related to your switch to Plasma5.
    Last edited by wolfi323; 28-Sep-2015 at 09:32.

  5. #5

    Default Re: Broken zypper dependency (nothing provides appdata)

    OK, I will leave it there until some next OpenSUSE version, although it is really annoying having to check the options every time I open the manager...

  6. #6

    Default Re: Broken zypper dependency (nothing provides appdata)

    Quote Originally Posted by eXtremeDevil View Post
    OK, I will leave it there until some next OpenSUSE version, although it is really annoying having to check the options every time I open the manager...
    Well, that's nothing I see here.
    It never happened on my 13.2 system, and I do have Firefox, ark5, and the full Plasma5 installed (in addition to KDE4).

    There have been other threads about this, but no real solution found, nor a way to reproduce this...

  7. #7

    Default Re: Broken zypper dependency (nothing provides appdata)

    Then I guess I'm one of the unlucky people who got this unresolvable bug haha

  8. #8
    Join Date
    Jun 2011
    Location
    Puerto Rico
    Posts
    102

    Default Re: Broken zypper dependency (nothing provides appdata)

    Hi Guys, @ OP, yesterday when I was doing an "zypper dup" on my tumbleweed install, it gave me the following message: "Problem: nothing provides appdata(glabels-3.0.appdata.xml) needed by application:gLabels Label Designer 3-.noarch", it told me to run "zypper verify".

    if I run: zypper verify, I get:

    Loading repository data...
    Reading installed packages...

    Problem: nothing provides appdata(glabels-3.0.appdata.xml) needed by application:gLabels Label Designer 3-.noarch
    Solution 1: deinstallation of application:gLabels Label Designer 3-.noarch
    Solution 2: break application:gLabels Label Designer 3-.noarch by ignoring some of its dependencies

    Choose from above solutions by number or cancel [1/2/c] (c):

    So I choose (c) cancel, and just leave it like that because I don't want to deinstall or break the application, since the O/S and the application seems to work fine I'll just continue with my life and not worry about that error message anymore!
    O/S: openSUSE Tumbleweed Plasma 5 64-bit
    CPU: Pentium Dual-Core CPU E5300 @ 2.6GHz
    GPU: Intel 4 Series Integrated Graphics Controller
    GPU driver: Mesa DRI Intel® G41

  9. #9

    Default Re: Broken zypper dependency (nothing provides appdata)

    Quote Originally Posted by eor2004 View Post
    Hi Guys, @ OP, yesterday when I was doing an "zypper dup" on my tumbleweed install, it gave me the following message: "Problem: nothing provides appdata(glabels-3.0.appdata.xml) needed by application:gLabels Label Designer 3-.noarch", it told me to run "zypper verify".
    I'm not using Tumbleweed, and this thread is also not about Tumbleweed, but 13.2.
    As I understand it, the *general* problem should be fixed in Tumbleweed, because the repos should contain the necessary information which is missing from the 13.2 repos.

    if I run: zypper verify, I get:
    If I run "zypper verify", I get some of those as well.
    Ignore them.

    But the main problem here is that you get that *every time you open YaST->Software Management*, and this is something I never could reproduce.
    Not even on Tumbleweed.

    Problem: nothing provides appdata(glabels-3.0.appdata.xml) needed by application:gLabels Label Designer 3-.noarch
    Solution 1: deinstallation of application:gLabels Label Designer 3-.noarch
    Solution 2: break application:gLabels Label Designer 3-.noarch by ignoring some of its dependencies

    Choose from above solutions by number or cancel [1/2/c] (c):

    So I choose (c) cancel, and just leave it like that because I don't want to deinstall or break the application, since the O/S and the application seems to work fine I'll just continue with my life and not worry about that error message anymore!
    You might want to file a bug report about gLabels. Especially if you installed it from the standard repos.
    Looks like a packaging bug there.

    And yes, the "appdata" is absolutely *not* necessary to use the application.
    That's only additional information to be shown in "Software Centers" like gnome-software...

  10. #10
    Join Date
    Jun 2011
    Location
    Puerto Rico
    Posts
    102

    Default Re: Broken zypper dependency (nothing provides appdata)

    Quote Originally Posted by wolfi323 View Post
    But the main problem here is that you get that *every time you open YaST->Software Management*, and this is something I never could reproduce.
    Not even on Tumbleweed.
    FYI, Me neither could reproduce that on my system!
    O/S: openSUSE Tumbleweed Plasma 5 64-bit
    CPU: Pentium Dual-Core CPU E5300 @ 2.6GHz
    GPU: Intel 4 Series Integrated Graphics Controller
    GPU driver: Mesa DRI Intel® G41

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •